Content in EJ2 JavaScript Tooltip control

10 Mar 202512 minutes to read

A text or a piece of information assigned to the Tooltip’s content property will be displayed as the main text stream of the Tooltip. The content can be a string or a template. If the content property is not provided with any specific value, it takes the value assigned to the title attribute of the target element on which the Tooltip was initialized. The content can also be dynamically assigned to the Tooltip via AJAX.

Template content

By default, any text or image can be added to the Tooltip. To customize the Tooltip layout or to create your own visual element on the Tooltip, templates can be utilized.

Refer to the following code example to add formatted HTML content to the Tooltip.

var tooltipContent = document.createElement("div");
tooltipContent.id = 'tooltipContent';
tooltipContent.innerHTML = "<p><strong>Environmentally friendly</strong> or <strong>environment-friendly</strong>, <i>(also referred to as eco-friendly, nature-friendly, and green)</i> are marketing and sustainability terms referring to goods and services, laws, guidelines and policies that inflict reduced, minimal, or no harm upon ecosystems or the environment.</p>";
var tooltip = new ej.popups.Tooltip({
    content: tooltipContent
});
tooltip.appendTo('#target');
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Tooltip</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/30.2.4/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/30.2.4/ej2-popups/styles/material.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/30.2.4/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id="container">
        <p>A green home is a type of house designed to be
            <a id="target">
                <u>environmentally friendly</u>
            </a> and sustainable. And also focuses on the efficient use of "energy, water, and building materials." As
            green homes
            have become more prevalent we have also seen the emergence of green affordable housing.
        </p>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
    <style>
        #tooltipContent {
            font-size: 14px;
            padding: 0px 5px;
            font-weight: 400;
            line-height: 1.5;
        }
    </style>
</body>

</html>
#container {
    visibility: hidden;
}

#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

Dynamic content via AJAX

The Tooltip content can be dynamically loaded by making use of an AJAX call. The AJAX request is usually made within the beforeRender event of the Tooltip, and then the Tooltip’s content is assigned the value retrieved on its success.

NOTE

The Tooltip target property includes a unique identifier used to associate Tooltips with specific elements on a webpage or application interface. When setting the Tooltip target value as a GUID (Globally Unique Identifier), ensure the GUID starts with a combination of letters before the numeric portion of the GUID. For example, target: ‘#’ + ‘tooltip’ + ‘96ad88bd-294c-47c3-999b-a9daa3285a05’.

var tooltip = new ej.popups.Tooltip({
    content: 'Loading...',
    target: '.target',
    position: 'RightCenter',
    beforeRender: onBeforeRender
});
tooltip.appendTo('#targetContainer');
function onBeforeRender(args) {
    var ajax = new ej.base.Ajax('https://helpej2.syncfusion.com/documentation/code-snippet/tooltip/ajax-content-cs1/tooltipdata.json', 'GET', true);
    ajax.send().then((result) => {
        result = JSON.parse(result);
        for (var i = 0; i < result.length; i++) {
            if (result[i].Id === args.target.getAttribute('data-content')) {
                this.content = "<div class='contentWrap'><div>" + result[i].Sports + "</div></div>";
            }
        }
        this.dataBind();
    }, (reason) => {
        this.content = reason;
        this.dataBind();
    });
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>EJ2 Tooltip</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Typescript UI Controls">
    <meta name="author" content="Syncfusion">
    <link href="index.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/30.2.4/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/30.2.4/ej2-popups/styles/material.css" rel="stylesheet">
    <script src="https://cdn.syncfusion.com/ej2/30.2.4/dist/ej2.min.js" type="text/javascript"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id="container">
        <h4>National Sports</h4>
        <div id="targetContainer" class="e-prevent-select">
            <div id="countrylist">
                <ul>
                    <li class="target" title="1"><span>Australia</span></li>
                    <li class="target" title="2"><span>Bhutan</span></li>
                    <li class="target" title="3"><span>China</span></li>
                    <li class="target" title="4"><span>Cuba</span></li>
                    <li class="target" title="5"><span>India</span></li>
                    <li class="target" title="6"><span>Switzerland</span></li>
                    <li class="target" title="7"><span>United States</span></li>
                </ul>
            </div>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if (ele) {
            ele.style.visibility = "visible";
        }   
    </script>
    <script src="index.js" type="text/javascript"></script>
    <style>
        #countrylist {
            padding: 5px;
        }

        #countrylist ul {
            border: 1px solid #c4c4c4;
            box-sizing: border-box;
            list-style-type: none;
            margin: 0;
            padding: 0;
            width: 100px;
        }

        #countrylist li {
            padding: 10px;
        }

        #countrylist li:hover {
            background-color: #ececec;
        }

        .contentWrap {
            line-height: 16px;
            padding: 3px 0;
        }
    </style>
</body>

</html>
#container {
  visibility: hidden;
  width: 350px;
  position: relative;
  left: 50%;
  transform: translateX(-25%);
}

#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

A text or a piece of information assigned to the Tooltip’s content
property will be displayed as the main text stream of the Tooltip.
It can be a string or a template content. If the content
property is not provided with any specific value, then it takes the value
assigned to the title
attribute of the target element on which the Tooltip was initialized. The content can also dynamically be
assigned to the Tooltip via AJAX.
Any text or image can be added to the Tooltip, by default. To customize the Tooltip layout or to create your own visualized element on the Tooltip, template can be used.
Refer to the following code example to add formatted HTML content to the Tooltip.
<template>
<div id='app'>
<ejs-tooltip id='tooltip' :content='content' target='#target'>
<p>A green home is a type of house designed to be <a id="target"><u>environmentally friendly</u></a>
and sustainable. And also focuses on the efficient use of "energy, water, and building materials." As green homes
have become more prevalent we have also seen the emergence of green affordable housing.
</p>
</ejs-tooltip>
</div>
</template>
<style>
@import "node_modules/@syncfusion/ej2-base/styles/material.css";
@import "node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
#tooltipContent {
padding: 10px;
font-weight: 400;
font-size: 14px;
line-height: 22px;
}
</style>
<script>
import Vue from "vue";
import { TooltipPlugin } from "@syncfusion/ej2-vue-popups";
Vue.use(TooltipPlugin);
var demoVue = Vue.component("demo", {
template: `
<div id="tooltipContent"><p><strong>Environmentally friendly</strong> or <strong>environment-friendly</strong>, <i>(also referred to as eco-friendly, nature-friendly, and green)</i> are marketing and sustainability terms referring to goods and services, laws, guidelines and policies that inflict reduced, minimal, or no harm upon ecosystems or the environment.</p></div>`,
data() {
return {
data: {}
};
}
});
export default {
data: function() {
return {
content: function () {
return { template : demoVue}
}
};
}
}
</script>
The Tooltip content can be dynamically loaded by making use of the AJAX call. The AJAX request is usually made within the beforeRender
event of the Tooltip, and then the Tooltip’s content
is assigned the value retrieved on it’s success.
<template>
<div id='app'>
<ejs-tooltip style="display:block;" class="e-prevent-select" :content='content' target='.target' position='RightCenter' :beforeRender='onBeforeRender'>
<div id='container'>
<h4>National Sports</h4>
<div id="targetContainer" class="e-prevent-select">
<div id="countrylist">
<ul>
<li class="target" title="1"><span>Australia</span></li>
<li class="target" title="2"><span>Bhutan</span></li>
<li class="target" title="3"><span>China</span></li>
<li class="target" title="4"><span>Cuba</span></li>
<li class="target" title="5"><span>India</span></li>
<li class="target" title="6"><span>Switzerland</span></li>
<li class="target" title="7"><span>United States</span></li>
</ul>
</div>
</div>
</div>
</ejs-tooltip>
</div>
</template>
<style>
@import "node_modules/@syncfusion/ej2-base/styles/material.css";
@import "node_modules/@syncfusion/ej2-vue-popups/styles/material.css";
#container {
width: 350px;
position: relative;
left: 50%;
transform: translateX(-25%);
}
#countrylist {
padding: 5px;
}
#countrylist ul {
border: 1px solid #c4c4c4;
box-sizing: border-box;
list-style-type: none;
margin: 0;
padding: 0;
width: 100px;
}
#countrylist li {
padding: 10px;
}
#countrylist li:hover {
background-color: #ececec;
}
.contentWrap {
line-height: 16px;
padding: 3px 0;
}
</style>
<script>
import Vue from "vue";
import { TooltipPlugin } from "@syncfusion/ej2-vue-popups";
import { Ajax } from '@syncfusion/ej2-base';
Vue.use(TooltipPlugin);
export default {
data: function() {
return {
content : "Loading..",
};
},
methods: {
onBeforeRender: function(args){
let ajax: Ajax = new Ajax('./tooltipdata.json', 'GET', true);
ajax.send().then((result) => {
result = JSON.parse(result);
for (var i = 0; i < result.length; i++) {
if (result[i].Id === args.target.getAttribute('data-content')) {
/* tslint:disable */
this.content = "<div class='contentWrap'><div class='def'>" + result[i].Sports + "</div></div>";
/* tslint:enable */
}
// this.dataBind();
}
}, (reason) => {
this.content = reason;
// this.dataBind();
});
}
}
}
</script>

Content in React Tooltip component

28 Jan 202517 minutes to read

The text or information assigned to the Tooltip’s content property will be displayed as the main content of the Tooltip.
This content can be either a string or a template. If the content property is not provided with any specific value, then it takes the value assigned to the title attribute of the target element on which the Tooltip was initialized. The content can also dynamically be assigned to the Tooltip via Fetch.

Template content

Any text or image can be added to the Tooltip, by default. To customize the Tooltip layout or create your own visualized element within the Tooltip, you can use a template.

Refer to the following code example to add formatted HTML content to the Tooltip.

import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
function App() {
    function content() {
        return (<span id='tooltipContent'>
            <p><strong>Environmentally friendly</strong> or <strong>environment-friendly</strong>, <i>(also referred to as eco-friendly, nature-friendly, and green)</i> are marketing and sustainability terms referring to goods and services, laws, guidelines and policies that inflict reduced, minimal, or no harm upon ecosystems or the environment.</p></span>);
    }
    let style = {
        display: 'inline-block',
        padding: '5px'
    };
    return (<div>A green home is a type of house designed to be
        <TooltipComponent isSticky={true} content={content} style={style}>
            <a><u>environmentally friendly</u></a>
        </TooltipComponent> and sustainable. And also focuses on the efficient use of "energy, water, and building materials." As green homes
        have become more prevalent we have also seen the emergence of green affordable housing.
    </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';

function App() {
  function content() {
    return (
      <span id='tooltipContent'>
        <p><strong>Environmentally friendly</strong> or <strong>environment-friendly</strong>, <i>(also referred to as eco-friendly, nature-friendly, and green)</i> are marketing and sustainability terms referring to goods and services, laws, guidelines and policies that inflict reduced, minimal, or no harm upon ecosystems or the environment.</p></span>
    )
  }
  let style: object = {
    display: 'inline-block',
    padding: '5px'
  };
  return (
    <div>A green home is a type of house designed to be
      <TooltipComponent isSticky={true} content={content} style={style}>
        <a><u>environmentally friendly</u></a>
      </TooltipComponent> and sustainable. And also focuses on the efficient use of "energy, water, and building materials." As green homes
      have become more prevalent we have also seen the emergence of green affordable housing.
    </div>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
#container {
    visibility: hidden;
}

#loader {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

#tooltipContent {
    font-size: 14px;
    padding: 0px 5px;
    font-weight: 400;
    line-height: 1.5;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tooltip</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-react-popups/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-react-buttons/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='sample'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

Dynamic content via Fetch

The Tooltip content can be dynamically loaded using a Fetch call. The Fetch request is usually made within the beforeRender event of the Tooltip, and then the Tooltip’s content is assigned the value retrieved on its success.

NOTE

The Tooltip target property includes a unique identifier used to associate Tooltips with specific elements on a webpage or application interface. When setting the Tooltip target value as a GUID (Globally Unique Identifier), it’s important to note that the GUID must start with a combination of letters before the numeric portion of the GUID. For example, target: ‘#’ + ‘ tooltip’+ ‘96ad88bd-294c-47c3-999b-a9daa3285a05’.

import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent } from '@syncfusion/ej2-react-popups';
import { Fetch } from '@syncfusion/ej2-base';
function App() {
  let tooltipInstance;
  function onBeforeRender(args) {
    tooltipInstance.content = 'Loading...';
    tooltipInstance.dataBind();
    let fetchApi = new Fetch('https://ej2.syncfusion.com/vue/demos/source/tooltip/tooltipdata.json', 'GET');
    fetchApi.send().then((result) => {
      for (let i = 0; i < result.length; i++) {
        if (result[i].Id === args.target.getAttribute('data-content')) {
          tooltipInstance.content = "<div class='contentWrap'>" + result[i].Sports + "</div>";
        }
      }
      tooltipInstance.dataBind();
    }, (reason) => {
      tooltipInstance.content = reason.message;
      tooltipInstance.dataBind();
    });
  }
  return (<div id="container">
    <h4>National Sports</h4>
    <TooltipComponent id="targetContainer" ref={t => tooltipInstance = t} className="e-prevent-select" content="Loading..." target=".target" position="RightCenter" beforeRender={onBeforeRender.bind(this)}>
      <div id="countrylist">
        <ul>
          <li className="target" title="1"><span>Australia</span></li>
          <li className="target" title="2"><span>Bhutan</span></li>
          <li className="target" title="3"><span>China</span></li>
          <li className="target" title="4"><span>Cuba</span></li>
          <li className="target" title="5"><span>India</span></li>
          <li className="target" title="6"><span>Switzerland</span></li>
          <li className="target" title="7"><span>United States</span></li>
        </ul>
      </div>
    </TooltipComponent>
  </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { TooltipComponent, TooltipEventArgs } from '@syncfusion/ej2-react-popups';
import { Fetch } from '@syncfusion/ej2-base';

function App() {
  let tooltipInstance: TooltipComponent;
  function onBeforeRender(args: TooltipEventArgs): void {
    tooltipInstance.content = 'Loading...';
    tooltipInstance.dataBind();
    let fetchApi: Fetch = new Fetch('https://ej2.syncfusion.com/vue/demos/source/tooltip/tooltipdata.json', 'GET');
    fetchApi.send().then(
      (result: any) => {
        for (let i: number = 0; i < result.length; i++) {
          if (result[i].Id === args.target.getAttribute('data-content')) {
            tooltipInstance.content = "<div class='contentWrap'>" + result[i].Sports + "</div>";
          }
        }
        tooltipInstance.dataBind();
      },
      (reason: any) => {
        tooltipInstance.content = reason.message;
        tooltipInstance.dataBind();
      });
  }
  return (
    <div id="container">
      <h4>National Sports</h4>
      <TooltipComponent id="targetContainer" ref={t => tooltipInstance = t} className="e-prevent-select" content="Loading..." target=".target" position="RightCenter" beforeRender={onBeforeRender.bind(this)}>
        <div id="countrylist">
          <ul>
            <li className="target" title="1"><span>Australia</span></li>
            <li className="target" title="2"><span>Bhutan</span></li>
            <li className="target" title="3"><span>China</span></li>
            <li className="target" title="4"><span>Cuba</span></li>
            <li className="target" title="5"><span>India</span></li>
            <li className="target" title="6"><span>Switzerland</span></li>
            <li className="target" title="7"><span>United States</span></li>
          </ul>
        </div>
      </TooltipComponent>
    </div>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('sample'));
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tooltip</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/30.1.37/ej2-react-popups/styles/material.css" rel="stylesheet" />
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
    <style>
        #container {
            width: 350px;
            position: relative;
            left: 50%;
            transform: translateX(-25%);
        }

        #loader {
            color: #008cff;
            height: 40px;
            left: 45%;
            position: absolute;
            top: 45%;
            width: 30%;
        }

        #countrylist {
            padding: 5px;
        }

        #countrylist ul {
            border: 1px solid #c4c4c4;
            box-sizing: border-box;
            list-style-type: none;
            margin: 0;
            padding: 0;
            width: 100px;
        }

        #countrylist li {
            padding: 10px;
        }

        #countrylist li:hover {
            background-color: #ececec;
        }

        .contentWrap {
            line-height: 16px;
            padding: 3px 0;
        }
    </style>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='sample'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

HelpBot Assistant

How can I help you?

Content in Angular Tooltip component

26 Feb 202610 minutes to read

Text or information assigned to the Tooltip’s content property displays as the main content of the Tooltip.

The content can be a string or template. If no specific value is provided, the tooltip uses the title attribute of the target element. Content can also be dynamically assigned to the tooltip via AJAX.

Template content

Add text or images to the tooltip by default. Use template to customize the tooltip layout or create custom visualized elements.

Render tooltip template content using ng-template or HTML elements as needed.

The following sample demonstrates how to add a content template to the tooltip.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { TooltipModule } from '@syncfusion/ej2-angular-popups'
import { ButtonModule } from '@syncfusion/ej2-angular-buttons'
import { Component } from '@angular/core';

@Component({
    imports: [
        TooltipModule,
        ButtonModule
    ],
    standalone: true,
    selector: 'my-app',
    template: `
    <h3>Using ng-template</h3>
    <p>A green home is a type of house designed to be
        <ejs-tooltip id='tooltip_1'>
            <ng-template #content>
                <h3>Template Content</h3>
                <p><strong>Environmentally friendly</strong> or <strong>environment-friendly</strong>, <i>(also referred to as eco-friendly, nature-friendly, and green)</i> are marketing and sustainability terms referring to goods and services, laws, guidelines and policies that inflict reduced, minimal, or no harm upon ecosystems or the environment.</p>
            </ng-template>
            <a><u>environmentally friendly</u></a>
        </ejs-tooltip> and sustainable. And also focuses on the efficient use of "energy, water, and building materials."
    </p>
    <h3>Using HTML Elements</h3>
    <p>
        As
        <ejs-tooltip id='tooltip_2' [content]='tooltipContent'>
            <a><u>green homes</u></a>
        </ejs-tooltip>
        have become more prevalent we have also seen the emergence of green affordable housing.
    </p>
    `
})

export class AppComponent {
    tooltipContent: HTMLElement = document.createElement('div');
    constructor() {
        (this as any).tooltipContent = '<h3>HTML Content</h3><p><strong>Environmentally friendly</strong> or <strong>environment-friendly</strong>, <i>(also referred to as eco-friendly, nature-friendly, and green)</i> are marketing and sustainability terms referring to goods and services, laws, guidelines and policies that inflict reduced, minimal, or no harm upon ecosystems or the environment.</p>'
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Load dynamic tooltip content

Load tooltip content dynamically using the Fetch API. Make the Fetch request within the beforeRender event and assign the retrieved value to the tooltip’s content property.

The tooltip target property includes a unique identifier to associate tooltips with specific elements. When setting a GUID as the target value, ensure the GUID starts with letters before the numeric portion. For example: target: ‘#tooltip’ + ‘96ad88bd-294c-47c3-999b-a9daa3285a05’.

/**
 * Loading ajax content sample
 */

import { Component, ViewChild, ViewEncapsulation, Inject } from '@angular/core';
import { TooltipComponent, TooltipModule, TooltipEventArgs } from '@syncfusion/ej2-angular-popups';
import { HttpClient } from '@angular/common/http';
import { Fetch } from '@syncfusion/ej2-base';
import { ListViewModule } from '@syncfusion/ej2-angular-lists';
import { HttpClientModule } from '@angular/common/http';

@Component({
  selector: 'my-app',
  template: `
        <div id="tool">
        <h4>National Sports</h4>
        <ejs-tooltip #tooltip id="tooltip" class="e-prevent-select" content='Loading...' target="#countryList [title]"
         position='RightCenter' (beforeRender)="onBeforeRender($event)">
            <div id="countryList">
                <ul>
                    <li class="target" title="1"><span>Australia</span></li>
                    <li class="target" title="2"><span>Bhutan</span></li>
                    <li class="target" title="3"><span>China</span></li>
                    <li class="target" title="4"><span>Cuba</span></li>
                    <li class="target" title="5"><span>India</span></li>
                    <li class="target" title="6"><span>Switzerland</span></li>
                    <li class="target" title="7"><span>United States</span></li>
                </ul>
            </div>
        </ejs-tooltip>
        </div>
        `,
  encapsulation: ViewEncapsulation.None,
  standalone: true,
  imports: [TooltipModule, ListViewModule, HttpClientModule],
})
export class AppComponent {
  //Define an Array of JSON data
  public listViewData: { [key: string]: Object }[] = [
    { id: '1', text: 'Australia' },
    { id: '2', text: 'Bhutan' },
    { id: '3', text: 'China' },
    { id: '4', text: 'Cuba' },
    { id: '5', text: 'India' },
    { id: '6', text: 'Switzerland' },
    { id: '7', text: 'United States' },
  ];

  //Map appropriate columns to fields property
  public fields: Object = { text: 'text', tooltip: 'id' };

  @ViewChild('tooltip')
  public tooltipControl!: TooltipComponent;

  constructor(@Inject(HttpClient) public http: HttpClient) {}

  /**
   * Process tooltip ajax content.
   */

  onBeforeRender(args: TooltipEventArgs) {

    let fetchApi = new Fetch(
      'https://ej2.syncfusion.com/angular/demos/source/tooltip/tooltipdata.json',
      'GET'
    );
    fetchApi.onSuccess = (data: any) => {
      for (var i = 0; i < data.length; i++) {
        if (data[i].Id === args.target.getAttribute('data-content')) {
          /* tslint:disable */
          this.tooltipControl.content =
            "<div class='contentWrap'><span class=" +
            data[i].Class +
            "></span><div class='def'>" +
            data[i].Sports +
            '</div></div>';
          /* tslint:enable */
        }
      }
    };
    fetchApi.send();  
  }
}
@import 'node_modules/@syncfusion/ej2-base/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-popups/styles/material3.css';
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material3.css';

#countryList {
    padding: 5px;
}

#countryList ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    width: 100px;
    border: 1px solid #c4c4c4;
}

#countryList li {
    padding: 10px;
}

#countryList li:hover {
    background-color: #ececec;
}

.contentWrap {
    padding: 3px 0;
    line-height: 16px;
}

.def {
    float: right;
}
#tool {
    width: 350px;
    position: relative;
    left: 50%;
    transform: translateX(-25%);
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));